aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAvatar Bo ├śrsted Andresen <bo.andresen@zlin.dk> 2009-11-05 02:43:10 +0000
committerAvatar Bo ├śrsted Andresen <bo.andresen@zlin.dk> 2009-11-05 02:43:23 +0000
commit5ccbc9d8a3cb4df51c108df9e9803c8ae015e289 (patch)
tree1a23bd7b7e5abec75f2fd6920e00aba626c2e7bf
parenta5fcbaf27a510880bce5df74d352bdac2c0de43e (diff)
downloadpaludis-5ccbc9d8a3cb4df51c108df9e9803c8ae015e289.tar.gz
paludis-5ccbc9d8a3cb4df51c108df9e9803c8ae015e289.tar.xz
Make edo emit a useful error die message.
-rw-r--r--paludis/repositories/e/ebuild/exheres-0/build_functions.bash2
1 files changed, 1 insertions, 1 deletions
diff --git a/paludis/repositories/e/ebuild/exheres-0/build_functions.bash b/paludis/repositories/e/ebuild/exheres-0/build_functions.bash
index e15955f..0516dc3 100644
--- a/paludis/repositories/e/ebuild/exheres-0/build_functions.bash
+++ b/paludis/repositories/e/ebuild/exheres-0/build_functions.bash
@@ -224,6 +224,6 @@ emagicdocs()
edo()
{
echo "$@"
- "$@" || paludis_die_unless_nonfatal || return 247
+ "$@" || paludis_die_unless_nonfatal "$* failed" || return 247
}